Bug 1293155 - usb-storage: page allocation failure: order:0, mode:0x2204010
usb-storage: page allocation failure: order:0, mode:0x2204010
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 15:07 EST by Chris Murphy
Modified: 2016-10-14 19:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (103.50 KB, text/plain)
2015-12-20 15:07 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2015-12-20 15:07:12 EST
Created attachment 1108007 [details]
dmesg

Description of problem:

During copy from USB 3 drive to SATA drive, I get this message and call trace. It happened early in the copy. It could be spurious but haven't seen this message with kernels 4.2.7 through 4.4.0.rc5.git0.


Version-Release number of selected component (if applicable):
Fedora-Live-Workstation-x86_64-rawhide-20151219.iso
4.4.0-0.rc5.git3.1.fc24.x86_64


How reproducible:
Once so far.


Steps to Reproduce:
1. Copy (actually btrfs send/receive) from USB source drives to SATA destination drive.


Actual results:

[ 2176.515356] usb-storage: page allocation failure: order:0, mode:0x2204010
[ 2176.515366] CPU: 3 PID: 4318 Comm: usb-storage Tainted: G        W       4.4.0-0.rc5.git3.1.fc24.x86_64 #1
[ 2176.515369] Hardware name:                  /NUC5PPYB, BIOS PYBSWCEL.86A.0047.2015.1123.0950 11/23/2015
[ 2176.515372]  0000000000000000 0000000056baefa0 ffff8800790bf548 ffffffff81427df9
[ 2176.515379]  0000000002204010 ffff8800790bf5d8 ffffffff811ebb8a 0000000000000000
[ 2176.515384]  0000000000000000 ffff88017ffdb200 0000000200000000 00000000ffffffff
[ 2176.515390] Call Trace:
[ 2176.515401]  [<ffffffff81427df9>] dump_stack+0x4b/0x72
[ 2176.515407]  [<ffffffff811ebb8a>] warn_alloc_failed+0xfa/0x160
[ 2176.515412]  [<ffffffff811f0051>] __alloc_pages_nodemask+0x4b1/0xd70
[ 2176.515419]  [<ffffffff81127add>] ? debug_lockdep_rcu_enabled+0x1d/0x20
[ 2176.515424]  [<ffffffff8124272b>] alloc_pages_current+0x9b/0x1c0
[ 2176.515429]  [<ffffffff8124c3c8>] new_slab+0x2a8/0x530
[ 2176.515433]  [<ffffffff8124dbe0>] ___slab_alloc+0x1f0/0x580
[ 2176.515437]  [<ffffffff8142d918>] ? radix_tree_node_alloc+0x28/0xa0
[ 2176.515445]  [<ffffffffa01c3730>] ? fill_inquiry_response+0x20/0x20 [usb_storage]
[ 2176.515449]  [<ffffffff8142d918>] ? radix_tree_node_alloc+0x28/0xa0
[ 2176.515453]  [<ffffffff8124dfc1>] __slab_alloc+0x51/0x90
[ 2176.515456]  [<ffffffff8124e250>] kmem_cache_alloc+0x250/0x300
[ 2176.515460]  [<ffffffff8142d918>] ? radix_tree_node_alloc+0x28/0xa0
[ 2176.515464]  [<ffffffff8142d918>] radix_tree_node_alloc+0x28/0xa0
[ 2176.515467]  [<ffffffff8142dadc>] __radix_tree_create+0x7c/0x200
[ 2176.515471]  [<ffffffff8142dca1>] radix_tree_insert+0x41/0xe0
[ 2176.515476]  [<ffffffff81459402>] add_dma_entry+0xa2/0x170
[ 2176.515479]  [<ffffffff8145999e>] debug_dma_map_sg+0x14e/0x1a0
[ 2176.515485]  [<ffffffff81623dfa>] usb_hcd_map_urb_for_dma+0x4aa/0x780
[ 2176.515490]  [<ffffffff8162453d>] usb_hcd_submit_urb+0x1cd/0xac0
[ 2176.515495]  [<ffffffff81108b39>] ? mark_held_locks+0x79/0xa0
[ 2176.515499]  [<ffffffff81105984>] ? lockdep_init_map+0x64/0x6b0
[ 2176.515503]  [<ffffffff8162610c>] usb_submit_urb+0x3fc/0x5a0
[ 2176.515507]  [<ffffffff81627289>] usb_sg_wait+0x69/0x160
[ 2176.515513]  [<ffffffffa01c1527>] usb_stor_bulk_transfer_sglist.part.4+0x87/0xe0 [usb_storage]
[ 2176.515518]  [<ffffffffa01c15ef>] usb_stor_bulk_srb+0x6f/0x80 [usb_storage]
[ 2176.515523]  [<ffffffffa01c17a5>] usb_stor_Bulk_transport+0x1a5/0x440 [usb_storage]
[ 2176.515529]  [<ffffffffa01c210b>] usb_stor_invoke_transport+0x3b/0x560 [usb_storage]
[ 2176.515534]  [<ffffffff810e82dc>] ? local_clock+0x1c/0x20
[ 2176.515537]  [<ffffffff81108b39>] ? mark_held_locks+0x79/0xa0
[ 2176.515543]  [<ffffffff8187f41c>] ? _raw_spin_unlock_irq+0x2c/0x40
[ 2176.515548]  [<ffffffffa01c0cae>] usb_stor_transparent_scsi_command+0xe/0x10 [usb_storage]
[ 2176.515553]  [<ffffffffa01c389c>] usb_stor_control_thread+0x16c/0x290 [usb_storage]
[ 2176.515559]  [<ffffffffa01c3730>] ? fill_inquiry_response+0x20/0x20 [usb_storage]
[ 2176.515564]  [<ffffffffa01c3730>] ? fill_inquiry_response+0x20/0x20 [usb_storage]
[ 2176.515568]  [<ffffffff810d35b1>] kthread+0x101/0x120
[ 2176.515572]  [<ffffffff81108c89>] ? trace_hardirqs_on_caller+0x129/0x1b0
[ 2176.515576]  [<ffffffff810d34b0>] ? kthread_create_on_node+0x250/0x250
[ 2176.515580]  [<ffffffff8188019f>] ret_from_fork+0x3f/0x70
[ 2176.515584]  [<ffffffff810d34b0>] ? kthread_create_on_node+0x250/0x250
[ 2176.515586] Mem-Info:
[ 2176.515595] active_anon:129174 inactive_anon:36365 isolated_anon:0
                active_file:58543 inactive_file:629629 isolated_file:64
                unevictable:51009 dirty:65797 writeback:2990 unstable:0
                slab_reclaimable:23358 slab_unreclaimable:20821
                mapped:23482 shmem:39367 pagetables:7556 bounce:0
                free:7713 free_pcp:727 free_cma:0
[ 2176.515602] Node 0 DMA free:15332kB min:28kB low:32kB high:40kB active_anon:20kB inactive_anon:0kB active_file:128kB inactive_file:184kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:15984kB managed:15900kB mlocked:0kB dirty:0kB writeback:0kB mapped:60kB shmem:0kB slab_reclaimable:24kB slab_unreclaimable:140kB kernel_stack:0kB pagetables:4kB unstable:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
[ 2176.515611] lowmem_reserve[]: 0 1851 3826 3826
[ 2176.515618] Node 0 DMA32 free:11568kB min:3772kB low:4712kB high:5656kB active_anon:247932kB inactive_anon:69456kB active_file:113156kB inactive_file:1217252kB unevictable:109116kB isolated(anon):0kB isolated(file):128kB present:1999388kB managed:1901952kB mlocked:0kB dirty:128540kB writeback:5704kB mapped:44656kB shmem:74132kB slab_reclaimable:43928kB slab_unreclaimable:37576kB kernel_stack:3424kB pagetables:14572kB unstable:0kB bounce:0kB free_pcp:1288kB local_pcp:196kB free_cma:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
[ 2176.515626] lowmem_reserve[]: 0 0 1974 1974
[ 2176.515632] Node 0 Normal free:3952kB min:4020kB low:5024kB high:6028kB active_anon:268744kB inactive_anon:76004kB active_file:120888kB inactive_file:1301080kB unevictable:94920kB isolated(anon):0kB isolated(file):128kB present:2097152kB managed:2022228kB mlocked:0kB dirty:134648kB writeback:6256kB mapped:49212kB shmem:83336kB slab_reclaimable:49480kB slab_unreclaimable:45568kB kernel_stack:4736kB pagetables:15648kB unstable:0kB bounce:0kB free_pcp:1620kB local_pcp:176kB free_cma:0kB writeback_tmp:0kB pages_scanned:264 all_unreclaimable? no
[ 2176.515640] lowmem_reserve[]: 0 0 0 0
[ 2176.515646] Node 0 DMA: 7*4kB (UM) 3*8kB (UME) 3*16kB (UM) 2*32kB (UE) 3*64kB (UE) 3*128kB (UME) 1*256kB (E) 2*512kB (ME) 3*1024kB (UME) 1*2048kB (E) 2*4096kB (M) = 15332kB
[ 2176.515676] Node 0 DMA32: 212*4kB (ME) 394*8kB (ME) 34*16kB (M) 129*32kB (UME) 43*64kB (UME) 1*128kB (E) 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 11552kB
[ 2176.515697] Node 0 Normal: 221*4kB (ME) 385*8kB (UME) 0*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 3964kB
[ 2176.515715] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
[ 2176.515718] 778582 total pagecache pages
[ 2176.515723] 0 pages in swap cache
[ 2176.515725] Swap cache stats: add 0, delete 0, find 0/0
[ 2176.515727] Free swap  = 0kB
[ 2176.515729] Total swap = 0kB
[ 2176.516142] 1028131 pages RAM
[ 2176.516147] 0 pages HighMem/MovableOnly
[ 2176.516148] 43111 pages reserved
[ 2176.516150] 0 pages cma reserved
[ 2176.516152] 0 pages hwpoisoned
[ 2176.516340] SLUB: Unable to allocate memory on node -1 (gfp=0x2000000)
[ 2176.516345]   cache: radix_tree_node, object size: 576, buffer size: 584, default order: 2, min order: 0
[ 2176.516349]   node 0: slabs: 2023, objs: 56644, free: 0
[ 2176.516354] DMA-API: cacheline tracking ENOMEM, dma-debug disabled
[ 2220.408617] perf interrupt took too long (2501 > 2500), lowering kernel.perf_event_max_sample_rate to 50000



Expected results:



Additional info:

Attaching complete dmesg.
Comment 1 Gerardo Exequiel Pozzi 2016-10-14 19:42:24 EDT
I made a upstream report about similar same PF message, on 4.4.X, but different scenario.

https://bugzilla.kernel.org/show_bug.cgi?id=134661

Note You need to log in before you can comment on or make changes to this bug.